﻿

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_OCCURRED_DBS') 
CREATE TABLE T_BAL_OCCURRED_DBS ( 
FID BIGINT NOT NULL DEFAULT '0',
FDB VARCHAR(20) NOT NULL DEFAULT ' ',
FCREATERID BIGINT NOT NULL DEFAULT '0',
FCREATETIME TIMESTAMP NULL DEFAULT NULL
); 


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_UPDATING') 
CREATE TABLE T_BAL_UPDATING ( 
FID BIGINT NOT NULL DEFAULT '0',
FTXID BIGINT NOT NULL DEFAULT '0',
FBILLID BIGINT NOT NULL DEFAULT '0',
FRULEID VARCHAR(36) NOT NULL DEFAULT ' ',
FBILLENTITY VARCHAR(36) NOT NULL DEFAULT ' ',
FCREATERID BIGINT NOT NULL DEFAULT '0',
FCREATETIME TIMESTAMP NULL DEFAULT NULL
); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAL_ERROR_LOG') 
CREATE TABLE T_BAL_ERROR_LOG ( 
FID BIGINT NOT NULL DEFAULT '0',
FCLASSINFO VARCHAR(200) NOT NULL DEFAULT ' ',
FTRACEID VARCHAR(50) NOT NULL DEFAULT ' ',
FTIPS VARCHAR(50) NOT NULL DEFAULT ' ',
FPARAMS VARCHAR(200) NOT NULL DEFAULT ' ',
FPARAMS_TAG NCLOB,
FERRORMSG VARCHAR(200) NOT NULL DEFAULT ' ',
FERRORMSG_TAG NCLOB,
FCREATERID BIGINT NOT NULL DEFAULT '0',
FCREATETIME TIMESTAMP NULL DEFAULT NULL
);





 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_BALANCELOG' AND KSQL_COL_NAME ='FTRACEID') ALTER TABLE T_BAL_BALANCELOG ADD (FTRACEID VARCHAR(50) NOT NULL DEFAULT ' ' );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAL_BALANCELOGENTRY' AND KSQL_COL_NAME ='FUPDATETYPE') ALTER TABLE T_BAL_BALANCELOGENTRY ADD (FUPDATETYPE CHAR(1) NOT NULL DEFAULT ' ' );






